### Function

# Gio FileReadMoreCallback

since: 2.0

#### Declaration

    gboolean
    (* GFileReadMoreCallback) (
      const char* file_contents,
      goffset file_size,
      gpointer callback_data
    )

#### Description

When loading the partial contents of a file with g_file_load_partial_contents_async(), it may become necessary to determine if any more data from the file should be loaded. A `GFileReadMoreCallback` function facilitates this by returning `TRUE` if more data should be read, or `FALSE` otherwise.

Available since: 2.0

#### Parameters

`file_contents`

  Type: `const char*`

  The data as currently read.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`file_size`

  Type: `goffset`

  The size of the data currently read.

`callback_data`

  Type: `gpointer`

  Data passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if more data should be read back. `FALSE` otherwise.